Groovy 1.7.0

## org.codehaus.groovy.reflection.stdclasses
Class BigDecimalCachedClass

    java.lang.Object
      org.codehaus.groovy.reflection.CachedClass
          org.codehaus.groovy.reflection.stdclasses.NumberCachedClass
              org.codehaus.groovy.reflection.stdclasses.DoubleCachedClass
                  org.codehaus.groovy.reflection.stdclasses.BigDecimalCachedClass

    class BigDecimalCachedClass
    extends DoubleCachedClass

author:
  Alex.Tkachman

Constructor Summary
`BigDecimalCachedClass(Class klazz, ClassInfo classInfo)`

Method Summary
`Object` | `coerceArgument(Object argument)`
`boolean` | `isDirectlyAssignable(Object argument)`

Methods inherited from class DoubleCachedClass
coerceArgument, isAssignableFrom, isDirectlyAssignable

Methods inherited from class NumberCachedClass
coerceArgument, isAssignableFrom

Methods inherited from class CachedClass

addNewMopMethods, coerceArgument, doCast, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isAssignableFrom, isDirectlyAssignable, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### BigDecimalCachedClass

    public BigDecimalCachedClass(Class klazz, ClassInfo classInfo)

Method Detail

### coerceArgument

    public Object coerceArgument(Object argument)

### isDirectlyAssignable

    public boolean isDirectlyAssignable(Object argument)

Copyright © 2003-2009 The Codehaus. All rights reserved.